Page MenuHomePhabricator

[compiler-rt][builtins][PowerPC] Fix __fixunstfti builtin on PowerPC
ClosedPublic

Authored by bsaleil on Oct 18 2019, 1:43 PM.

Details

Summary

This patch fixes __fixunstfti builtin for PowerPC.
This builtin converts a long double (IBM double-double) to an unsigned 128 bit integer.

The patch allows the builtin to handle a previously unhandled case in which a negative low double may impact the result of the conversion.

@masoud.ataei and @renenkel helped me to fix this builtin and to generate additional tests to test the builtin using negative low doubles.

Diff Detail

Event Timeline

bsaleil created this revision.Oct 18 2019, 1:43 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptOct 18 2019, 1:43 PM
Herald added subscribers: llvm-commits, Restricted Project, steven.zhang and 4 others. · View Herald Transcript
jsji added a reviewer: Restricted Project.Oct 18 2019, 3:00 PM
lei accepted this revision.Oct 22 2019, 10:20 AM

LGTM

This revision is now accepted and ready to land.Oct 22 2019, 10:20 AM
amyk accepted this revision.Oct 30 2019, 10:10 AM

This also LGTM. Thanks for fixing.

This revision was automatically updated to reflect the committed changes.